build: prereq: simplify Python 3 version checks
authorPetr Štetiar <ynezz@true.cz>
Thu, 14 Nov 2019 15:50:18 +0000 (16:50 +0100)
committerPetr Štetiar <ynezz@true.cz>
Thu, 14 Nov 2019 21:53:31 +0000 (22:53 +0100)
We don't need to check if python3.5 binary is actually Python 3.5+.

Signed-off-by: Petr Štetiar <ynezz@true.cz>
include/prereq-build.mk

index 4c59910..d73f004 100644 (file)
@@ -144,15 +144,15 @@ $(eval $(call SetupHostCommand,perl,Please install Perl 5.x, \
 $(eval $(call CleanupPython2))
 
 $(eval $(call SetupHostCommand,python,Please install Python >= 3.5, \
-       python3.7 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?', \
-       python3.6 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?', \
-       python3.5 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?', \
+       python3.7 -V 2>&1 | grep 'Python 3', \
+       python3.6 -V 2>&1 | grep 'Python 3', \
+       python3.5 -V 2>&1 | grep 'Python 3', \
        python3 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?'))
 
 $(eval $(call SetupHostCommand,python3,Please install Python >= 3.5, \
-       python3.7 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?', \
-       python3.6 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?', \
-       python3.5 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?', \
+       python3.7 -V 2>&1 | grep 'Python 3', \
+       python3.6 -V 2>&1 | grep 'Python 3', \
+       python3.5 -V 2>&1 | grep 'Python 3', \
        python3 -V 2>&1 | grep -E 'Python 3\.[5-9]\.?'))
 
 $(eval $(call SetupHostCommand,git,Please install Git (git-core) >= 1.7.12.2, \